----------------------
phpMyAdmin - ChangeLog
----------------------

$Id: ChangeLog 13448 2010-03-07 23:41:30Z lem9 $
$HeadURL: https://phpmyadmin.svn.sourceforge.net/svnroot/phpmyadmin/trunk/phpMyAdmin/ChangeLog $

3.3.0.0 (2010-03-07)
+ rfe #2308632 [edit] Use hex for (var)binary fields,
  thanks to Maarten Dieleman - maartendieleman
+ patch #2794819 [navi] Filter for displayed table names,
  thanks to Michael Valushko - dylfin
- bug #2794840 [core] Cannot redeclare pma_tableheader() 
- rfe #2726479 [core] configurable maximal length of URL
+ patch #2724755 [display] Full/partial text links (big T) are back,
  thanks to nullbarriere - nullbarriere 
- bug [display] handle NavigationBarIconic as documented for navi buttons
+ rfe #2726479 [export] Export tables preselect
+ patch #2805828 [export] PHP array export plugin, 
  thanks to Geoffray Warnants - amnsk
+ patch #2798592 [import] Progress bar, 
  thanks to Tomas Srnka - tomassrnka
- bug [gui] Generate Password not working for 'Change Login Information', only for 'Change password'
+ [lang] Arabic update, thanks to Meno25 - meno25 
+ rfe #2822190 [structure] BOOLEAN is standard SQL 
+ [lang] German update, thanks to knittl
+ [lang] German update, thanks to virsacer
+ rfe #2813867 [structure] Default sorting order in list of tables
+ [import] Added MySQL type-detection functionality to import library,
  thanks to Derek Schaefer
+ [import] Added ODS, Excel XLS, Excel XLSX, and XML import modules,
  thanks to Derek Schaefer
+ [export] Added Excel XLSX export module,
  thanks to Derek Schaefer
+ [core] Added ability for tracking changes made through phpMyAdmin
+ rfe #2839504 [engines] Support InnoDB plugin's new row formats 
+ [core] Added ability for synchronizing databases among servers.
+ [lang] #2843101 Dutch update, thanks to scavenger2008
+ [lang] Galician update, thanks to Xosé Calvo - xosecalvo
+ [export] Added MediaWiki export module,
  thanks to Derek Schaefer - drummingds1
+ [lang] Turkish update, thanks to Burak Yavuz
+ [auth] Add custom port configuration in signon, thanks to Gary Smith
- [core] Removed context from the error handler 
- bug #2883633 [export] Export of InnoDB table is incomplete 
+ rfe #2862575 [status] Order query statistics by % desc, skip rows with 0 
+ rfe #2823686 [interface] Increase default height of query window 
+ rfe #2129902 [structure] Don't hide indexes 
+ patch #2812070 [interface] Allow selecting a range of rows by holding shift, thanks to Joolee
+ [lang] Russian update, thanks to Victor Volkov
+ [lang] Greek update, thanks to Panagiotis Papazoglou
+ [lang] Norwegian update, thanks to Sven-Erik Andersen 
- bug #2929958 [import] Cannot import (French interface) 
- [security] Use X-Frame-Options header to protect against ClickJacking.
+ [lang] Finnish update, thanks to Jouni Kahkonen
+ [lang] Lithuanian update, thanks to Rytis Slatkevicius - rytis_s 
- bug #2931939 [status] Seeing "m" as unit is confusing 
- bug #2926613 [edit] Copy database shows errors when DB has foreign key
+ [lang] Catalan update, thanks to Xavier Navarro

3.2.6.0 (not released)
- bug #2938492 [display] information_schema sorting order 
- bug #2941101 [import] import timeout when table already created and
  several data lines
- bug #2944069 [config] Extraneus dot from dirname() when installed in root, thanks to ayanamist

3.2.5.0 (2010-01-10)
- patch #2903400 [bookmarks] Status of bookmark table, 
  thanks to Virsacer - virsacer 
- bug [history] QueryHistoryDB is not respected
- bug #2905629 [auth] Blowfish secret is not hashed
- bug #2910000 [gui] ShowServerInfo should hide all server info from main page
- bug #2910568 [structure] Table size for ARCHIVE tables is not displayed 
- patch #2899969 [core] Session lock blocks working from a second window,
  thanks to Greg Roach - fisharebest
- patch #2915168 [import] Incorrect parsing of DELIMITER keyword,
  thanks to Greg Roach - fisharebest
- patch #2918831 [export] Missing backquotes on reserved words, 
  thanks to Virsacer - virsacer 
- [core] Fix broken cleanup of $_GET
- bug #2924357 [operations] Cannot rename a database that has foreign key
  constraints
- bug #869006 [structure] Ignore number of records for MRG_MyISAM tables
- bug [browse] "Show BLOB contents" should display HTML code that is present
  in a BLOB, thanks to Vincent van der Tuin
- [privileges] Improve Proper escaping of hostname

3.2.4.0 (2009-12-02)
- bug [engines] Innodb_buffer_pool_pages_latched no longer returned in status
- bug #2890451 [setup] Inconsistent generated "designer_coords"
- bug #2890443 [mysqli] "No index used in query" exception is reported 
- bug #2891250 [ob] Garbled data in navi frame (PHP 5.2.11 bug)
- bug #2887357 [core] Slow loading times with large databases (partial fix)
- bug #2893931 [lang] Typo and empty message
+ [lang] Russian update, thanks to Victor Volkov
- bug #2823599 [edit] UUID Primary Key wrongly updated
- bug #2895894 [structure] Empty default value not set properly
- bug #2897536 [parser] Copying table with bit field with default
- bug #2893221 [core] Statement may not be safe to log in statement format

3.2.3.0 (2009-10-30)
- patch #2856664 [export] Date, time, and datetime column types now export correctly to
  OpenOffice Spreadsheet, thanks to Thomas Pulickal - jemajoign
- patch #2859788 [parser] Double-character delimiters (bug #2846239), 
  thanks to Thomas Pulickal - jemajoign
- bug #2832600 [export] Slow export when having lots of databases
- bug #2537766 [import] Comments are stripped when editing store procedures 
- bug #2852370 [operations] Renaming database deletes triggers 
- bug #2872247 [interface] Failed opening required 'mysql_charsets.lib.php', thanks to CyberLeo Kitsana - cyberleo
- bug [structure] "In use" table incorrectly reported as "view" 
- bug #2879909 [interface] Removed double htmlspecialchars when editing enum column
- bug #2868328 [relations] Adding foreign key when table name contains a dot
- bug #2883381 [doc] Side effects of MemoryLimit setting
- bug #2826128 [display] Inverting sort order when expression contains a function name

3.2.2.1 (2009-10-12)
- [security] XSS and SQL injection, thanks to Herman van Rink

3.2.2.0 (2009-09-13)
- bug #2825293 [structure] Default value for a BIT column
- bug [display] Red arrows were reversed in the list of tables 
- bug #2813879 [export] Duplicate empty lines when exporting without comments 
- bug #2825919 [export] Trigger export with database name 
- bug #2823996 [data] Cannot edit row with no PK and a BIT field 
- bug [export] Exporting results of a query which contains a LIMIT clause
  inside a subquery
- bug #2837722 [export] Run complex SQL then export does not work 
- bug #2839548 [export] Triggers order on export 
- bug #2826986 [display] Order by BLOB and range display 
- bug [display] After clicking on Show Function or Function, the UPDATE query
  is not shown after execution
- bug [structure] Missing validation for BINARY and VARBINARY

3.2.1.0 (2009-08-09)
- bug #2799009 Login with ipv6 IP address breaks redirect
- bug #2796066 [priv] Inconsistent display of databases list
- bug #2802870 [display] Incorrect overhead value for InnoDB 
- bug [display] Incorrect display in replication status, 
  thanks to Tomas Srnka - tomassrnka
- bug #1601625 [display] The Ignore checkbox is not unchecked for ENUM
- bug #2809930 [setup] Notice: Undefined variable: k in setup/index.php
- bug [features] Incorrect report of missing relational features
- [security] XSS: Insufficient output sanitizing (not exploitable without a valid token)
  thanks to Sven Vetsch/Disenchant for informing us in a responsible manner 
- bug #2634827 [import] Using DELIMITER produces infinite cycle
+ new language files: uzbek_cyrillic and urbek_latin
- bug #2814109 [search] Right frame is blank 
- bug #2816840 [priv] Cannot change a user's details 
- bug #2816165 [display] Executed query not always displayed
- bug #2819944 [setup] Incorrect mention of designer_coords
- bug #2821757 [insert] "Insert another new row" no longer worked 
+ [lang] Norwegian update, thanks to Sven-Erik Andersen 
- bug [core] PMA_pow() can support negative exponents in the pow() case
+ [lang] Brazilian Portuguese update, thanks to Fabio Bucior - fabiobucior
- patch #2822384 [docs] Missing auth_type in docs-example, 
  thanks to Jürgen Wind - windkiel
- patch #2819728 [display] Slider effect jumping to top of page,
  thanks to Jan Radem - summsel
- bug [display] Incorrect computation of overhead stats in server view
  for tables under the InnoDB engine
+ [lang] Swedish update, thanks to Björn T. Hallberg

3.2.0.1 (2009-06-30)
- [security] XSS: Insufficient output sanitizing in bookmarks 

3.2.0.0 (2009-06-15)
- [core] better support for vendor customisation (based on what Debian needs)
+ rfe #2127987 warn when session.gc_maxlifetime is less than cookie validity
+ rfe #2100910 configurable default charset for import
+ rfe #1913541 link to InnoDB status when error 150 occurs
+ rfe #1927189 strip ` from column names on import
+ rfe #1821619 LeftFrameDBSeparator can be an array
+ patch #1821619 [privileges] Extra back reference when editing table-specific
  privileges, thanks to Herman van Rink - helmo
+ patch #2356575 [display] Sortable database columns,
  thanks to Bryce Thornton - brycethornton
- patch #2486825 [lang] Wrong string in setup script hints,
  thanks to Isaac Bennetch - ibennetch
- patch #2498350 [cleanup] XHTML cleanup, thanks to Virsacer - virsacer 
+ patch #2494192 [display] Possibility of disabling the sliders, 
  thanks to Virsacer - virsacer 
+ patch #2506831 [privileges] Create user for existing database, 
  thanks to Herman van Rink and Virsacer
+ patch #2505255 [privileges] Cleanup, thanks to Virsacer - virsacer
- bug #2414056 [auth] AllowNoPasswordRoot error message is too vague 
- patch #2596230 [XHTML] View table headers/footers completely,
  thanks to Virsacer - virsacer
- patch #2602633 [core] support column name having square brackets, 
  thanks to Herman van Rink - helmo
+ [lang] Lithuanian update, thanks to Rytis Slatkevicius - rytis_s 
+ [auth] New setting AllowNoPassword (supercedes AllowNoPasswordRoot) that
  applies to all accounts (even the anonymous user)
- patch #2652972 [relation] Missing code with hashing for relationship
  editing, thanks to knittl - knittl
+ rfe #2123386 Added option to disable mcrypt warning.
- bug #2648502 Request-URI Too Large error from Location header
+ rfe #1731967 Check for relations support on main page.
+ rfe #2186820 Explanation for using Host table.
+ rfe #1369509 Link to download more themes.
+ rfe #1666487 Add option to generate password on change password page.
+ rfe #1694104 Allow logging of user status with Apache.
- patch #2649087 None default is different than other None in some languages.
+ [lang] Chinese Simplified update, thanks to Shanyan Baishui - rimyxp 
- patch #2550286 [display] Sort arrows problem, thanks to Virsacer - virsacer
- [security] warn about existence of config directory on main page
+ patch #2706761 [lang] Polish update,
  thanks to Pawel Smolinski - zipoking
+ patch #2715142 [export] (rfe 2416960, escape new line in CSV export)
  thanks to Derek Schaefer - drummingds1
- patch #2727250 Optimizations for PHP loops
  thanks to Haeber 
- bug #2650776 [import] SQL_MODE not saved during Partial Import 
- patch #1863739 [auth] cache control missing (PHP-CGI), thanks to stmfd
- patch #2750541 [parser] Incorrect parsing of constraints in ALTER TABLE,
  thanks to Yannick Betemps - arkhee 
+ patch #2735162 [status] Server status - replication,
  thanks to Tomas Srnka - tomassrnka
+ patch #2745215 [edit] Multi-row change with "]" improved, 
  thanks to Virsacer - virsacer 
+ rfe #2657696 Automatically copy generated password
- bug #2787162 [interface] Table with name 'log_views' is incorrectly displayed as a view
+ patch #2665440 Detect mcrypt initialization failure
+ [lang] Galician update, thanks to Xosé Calvo - xosecalvo
+ [lang] Swedish update, thanks to Björn T. Hallberg
+ [lang] Norwegian update, thanks to Sven-Erik Andersen 
+ [lang] Catalan update, thanks to Xavier Navarro
+ [lang] Finnish update, thanks to Jouni Kahkonen
+ [lang] Hungarian update, thanks to Jozsef Tamas Herczeg - dodika 

3.1.6.0 (not released)
- bug #2785912 [doc] no ON UPDATE CURRENT_TIMESTAMP in list of attributes

3.1.5.0 (2009-05-15)
- patch #2739001 [export] XML does not allow spaces in element names, 
  thanks to Derek Schaefer - drummingds1
- bug #2780722 [import] Incorrect maximum file size
- bug #2780356 [calendar] Null checkbox not unchecked when date is chosen 
- bug [calendar] js error "window.parent.addEvent is not a function" 
- patch #2773818 [export] Invalid "Content-Encoding" header,
  thanks to abignale - abignale
- bug #2787162 [interface] Table with name 'log_views' is incorrectly displayed as a view
- bug #2784400 [parser] INVOKER not understood by parser 
- [core] Compatibility with PHP 5.3.0RC2 

3.1.4.0 (2009-04-25)
+ patch #1808339 [doc] Apache SSLOptions and StdEnvVars FAQ,
  thanks to JT Justman - jtjustman
- bug #2491017 [operations] ANSI mode not supported (db rename and table move) 
- bug #2609346 [operations] Fix copying views.
- rfe #2127983 Readd documentation link, it does not protect against anything.
- bug #1675249 [doc] Apache reverse proxy and cookies FAQ
- bug #2682140 UUID() and CURRENT_USER() should not accept arguments
- patch #2682833 [core] Fatal error: Call to a member function isDisplayed(),
  thanks to Christian Rodriguez - judas_iscariote
- patch #2702772 [lang] Duplicate sentence in Polish,
  thanks to Pawel Smolinski - zipoking
- patch #2709040 [doc] Wrong link in ChangeLog formatter,
  thanks to Petr Vorel - pevik
- patch #2715417 [interface] Fixed truncation of enum/set values containing parenthesis
  thanks to Marco Moreno - mmoreno
+ [lang] Spanish update, thanks to Daniel Hinostroza
- bug #2724844 Add Fields: Add index is missing quotes
  thanks to Luke Armstrong
- bug #2740550 [interface] Using textarea CharEditing drops default values
- bug #2729191 [config] CheckConfigurationPermissions = false is worthless 
- bug #2687046 [export] Structure export: Null always YES
- [doc] typos, thanks to Cédric Corazza

3.1.3.2 (2009-04-14)
- [security] Insufficient output sanitizing when generating configuration file

3.1.3.1 (2009-03-24)
- [security] HTTP Response Splitting and file inclusion vulnerabilities 
- [security] XSS vulnerability on export page
- [security] Insufficient output sanitizing when generating configuration file

3.1.3.0 (2009-02-28)
+ [lang] Turkish update, thanks to Burak Yavuz
- patch #2496403 [display] Multi-row change with "]",
  thanks to Virsacer - virsacer
- bug #2027720 [parser] Missing space after BINARY used as cast 
- patch #2520747 [core] E_DEPRECATED compatibility for PHP 5.3,
  thanks to Giovanni Giacobbi - themnemonic
- bug [display] Message "Bookmark created" is not displaying
+ [display] Show AUTO_INCREMENT instead of A_I when in vertical mode
- patch #2538358 [display] Conditions for relational display field, 
  thanks to Virsacer - virsacer
+ [lang] Mongolian update, thanks to Bayarsaikhan Enkhtaivan - bayaraa
- patch #2553372 [display] DB comment tooltips not shown on navi,
  thanks to Erdem - ahard
- patch #2561433 [structure] Display true number of rows in a view
  if it contains less than MaxExactCountViews,
  thanks to Virsacer - virsacer
+ [lang] Polish update, thanks to Fixer - fixeron
- bug #2568722 [designer] Compound key not shown
- patch #2550323 [XHTML] in server_databases.php, thanks to Virsacer - virsacer
- patch #2358861 [navi] Row count tooltip wrong for information_schema, 
  thanks to Herman van Rink - helmo
- bug #2565948 [core] Changing the connection collation changed the client
  charset.
+ [lang] Romanian update, thanks to Sergiu Bivol - sbivol
- patch #1760205 [data] Insert as new row: BLOB is lost, 
  thanks to Herman van Rink - helmo
+ [lang] Georgian update, thanks to George Machitidze

3.1.2.0 (2009-01-19)
- bug #1253252 [display] Can't NULL a column with relation defined 
- bug #2009500 [SQL] Small improvements in generated SQL (partial fix)
- bug #1963184 [export] YAML export improvement,
 thanks to Bryce Thornton - brycethornton
+ [lang] Dutch update, thanks to Herman van Rink - helmo 
- patch #2407785 [cleanup] ereg*() deprecated in PHP 5.3,
  thanks to Alex Frase - atfrase
- bug #2417058 [properties] Edit fields: losing auto-increment setting
- patch #2444082 [changelog] changelog.php linkifies one link wrong,
  thanks to Robert Xiao - nneonneo
- bug #2363653 [properties] Various problems with table structure
- bug [display] BIT field contents disappear when edited
+ [lang] Czech update, thanks to Ondřej Vadinský.
- bug #2461735 [operations] Table operations adds "row_format"
- bug #2445213 [export] Commas for CSV Excel 2008 for Mac
- bug #2397877 [core] ForceSSL and http auth_type
- bug #2473127 [display] Deleting rows displays tbl structure, not contents
- patch #2478940 [core] PHP 5.2+ warning does not work, 
  thanks to Jürgen Wind - windkiel
- bug #2416418 [privileges] Escaping special characters 

         --- Older ChangeLogs can be found on our project website ---
                     http://www.phpmyadmin.net/old-stuff/ChangeLogs/

# vim: et ts=4 sw=4 sts=4
# vim: ft=changelog fenc=utf-8 encoding=utf-8
# vim: fde=getline(v\:lnum-1)=~'^\\s*$'&&getline(v\:lnum)=~'\\S'?'>1'\:1&&v\:lnum>8&&getline(v\:lnum)!~'^#'
# vim: fdn=1 fdm=expr
